// EdIRDV.cpp : implementation file
//

#include "stdafx.h"

#include "Defines.hpp"

#ifdef D_ED_IR_ACTIVE

#include "EdIRDV.hpp"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

//////////////////////////////////////////////////////////////////
// class CPA_EdIR_DesignerVariable
//////////////////////////////////////////////////////////////////

/****************************************************************************/
//BEGIN ROMTEAM Cristi Petrescu 98-06-
CPA_EdIR_DesignerVariable::CPA_EdIR_DesignerVariable(CString			csName,
																										 CString			csType,
																										 CStringList	*pcslListOfValues,
																										 BOOL bIsPrivate /* = FALSE */)
//END ROMTEAM Cristi Petrescu 98-06-
{
	m_csName=csName;
	m_csType=csType;

	POSITION	pos=pcslListOfValues->GetHeadPosition();
	while(pos!=NULL)
		m_cslListOfValues.AddTail(pcslListOfValues->GetNext(pos));

	m_bIsInWatchWindow=FALSE;

	//BEGIN ROMTEAM Cristi Petrescu 98-05-
	m_bIsPrivate = bIsPrivate;
	//END ROMTEAM Cristi Petrescu 98-05-
}

/****************************************************************************/
CPA_EdIR_DesignerVariable::~CPA_EdIR_DesignerVariable()
{
}

/****************************************************************************/
CString	CPA_EdIR_DesignerVariable::m_fn_csGetDesignerVariableName()
{
	return m_csName;
}

/****************************************************************************/
CString	CPA_EdIR_DesignerVariable::m_fn_csGetDesignerVariableType()
{
	return m_csType;
}

/****************************************************************************/
CString CPA_EdIR_DesignerVariable::m_fn_csGetFirstDesignerVariableValue()
{
	if(!m_cslListOfValues.IsEmpty())
		return m_cslListOfValues.GetHead();
	else
		return "";
}

/****************************************************************************/
CStringList	*CPA_EdIR_DesignerVariable::m_fn_pcslGetDesignerVariableValues()
{
	return &(m_cslListOfValues);
}

/****************************************************************************/
BOOL CPA_EdIR_DesignerVariable::m_fn_bIsInWatchWindow()
{
	return m_bIsInWatchWindow;
}

/****************************************************************************/
void CPA_EdIR_DesignerVariable::m_fn_vSetInWatchWindow(BOOL bIsInWatchWindow)
{
	m_bIsInWatchWindow=bIsInWatchWindow;
}

#endif //D_ED_IR_ACTIVE
